Loading...
Searching...
No Matches
fastjet::EECambridgePlugin Class Reference
Plugins for non-native jet definitions

Implementation of the e+e- Cambridge algorithm (plugin for fastjet v2.4 upwards). More...

`#include <fastjet/EECambridgePlugin.hh>`

Inheritance diagram for fastjet::EECambridgePlugin:
[legend]
Collaboration diagram for fastjet::EECambridgePlugin:
[legend]

## Public Member Functions

| EECambridgePlugin (double ycut_in)
| Main constructor for the EECambridge Plugin class.
| EECambridgePlugin (const EECambridgePlugin &plugin)
| copy constructor
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
double | ycut () const
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius.
virtual bool | exclusive_sequence_meaningful () const
| avoid the warning whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true because this plugin is intended for spherical geometries (i.e.
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the e+e- Cambridge algorithm (plugin for fastjet v2.4 upwards).

EECambridgePlugin is a plugin for fastjet (v2.4 upwards) It implements the Cambridge algorithm, as defined in

Better jet clustering algorithms Yuri Dokshitzer, Garth Leder, Stefano Moretti, Bryan Webber JHEP 9708 (1997) 001 http://www-spires.slac.stanford.edu/spires/find/hep/www?rawcmd=FIND+j+JHEPA%2C9708%2C001

On construction one must supply a ycut value.

To get the jets at the end call ClusterSequence::inclusive_jets();

Definition at line 59 of file EECambridgePlugin.hh.

## Constructor & Destructor Documentation

## EECambridgePlugin() [1/2]

fastjet::EECambridgePlugin::EECambridgePlugin | ( | double | ycut_in | ) |

inline

Main constructor for the EECambridge Plugin class.

It takes the dimensionless parameter ycut (the Q value for normalisation of the kt-distances is taken from the sum of all particle energies).

Definition at line 64 of file EECambridgePlugin.hh.

## EECambridgePlugin() [2/2]

fastjet::EECambridgePlugin::EECambridgePlugin | ( | const EECambridgePlugin & | plugin | ) |

inline

copy constructor

Definition at line 67 of file EECambridgePlugin.hh.

## Member Function Documentation

## description()

string fastjet::EECambridgePlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 71 of file EECambridgePlugin.cc.

## run_clustering()

void fastjet::EECambridgePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 77 of file EECambridgePlugin.cc.

## ycut()

double fastjet::EECambridgePlugin::ycut | ( |  | ) | const

inline

Definition at line 75 of file EECambridgePlugin.hh.

## R()

virtual double fastjet::EECambridgePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius.

This must be set to return something sensible, even if R does not make sense for this algorithm!

Implements fastjet::JetDefinition::Plugin.

Definition at line 80 of file EECambridgePlugin.hh.

## exclusive_sequence_meaningful()

virtual bool fastjet::EECambridgePlugin::exclusive_sequence_meaningful | ( |  | ) | const

inline virtual

avoid the warning whenever the user requests "exclusive" jets from the cluster sequence

Reimplemented from fastjet::JetDefinition::Plugin.

Definition at line 84 of file EECambridgePlugin.hh.

## is_spherical()

virtual bool fastjet::EECambridgePlugin::is_spherical | ( |  | ) | const

inline virtual

returns true because this plugin is intended for spherical geometries (i.e.

it's an e+e- algorithm).

Reimplemented from fastjet::JetDefinition::Plugin.

Definition at line 88 of file EECambridgePlugin.hh.

The documentation for this class was generated from the following files:

- plugins/EECambridge/fastjet/EECambridgePlugin.hh
- plugins/EECambridge/EECambridgePlugin.cc